import { Container, CssBaseline, Paper, ThemeProvider, Typography } from "@material-ui/core";
import { DarkModeProvider, DarkModeToggle, useDarkMode } from "material-ui-pack";
import React from "react";
import AlertExample from "./examples/AlertExample";
import ButtonExample from "./examples/ButtonExample";

function App() {
  const {
    createMuiThemeWithDarkMode
  } = useDarkMode();
  const theme = createMuiThemeWithDarkMode({
    palette: {
      primary: {
        main: "#0080ff"
      },
      secondary: {
        main: "#69757d"
      }
    }
  });
  return React.createElement(ThemeProvider, {
    theme: theme
  }, React.createElement(Container, {
    maxWidth: "md"
  }, React.createElement(CssBaseline, null), React.createElement(Typography, {
    variant: "h2",
    component: "h1"
  }, "Examples"), React.createElement(DarkModeToggle, null), React.createElement("br", null), React.createElement("br", null), React.createElement(Paper, {
    style: {
      padding: 20
    },
    elevation: 4
  }, React.createElement(ButtonExample, null), React.createElement(AlertExample, null))));
}

export default (() => React.createElement(DarkModeProvider, null, React.createElement(App, null)));